# qb-clothing

{% stepper %}
{% step %}

### Find qb-clothing

Find location of qb-clothing on your server inside resources folder
{% endstep %}

{% step %}

### Find function

Go to `qb-clothing/client/main.lua` and find `SaveSkin()`

Replace function with this:

Before Edit:

```lua
local function SaveSkin()
    local model = GetEntityModel(PlayerPedId())
    local clothing = json.encode(skinData)
    TriggerServerEvent("qb-clothing:saveSkin", model, clothing)
end
```

After Edit:

```lua
local function SaveSkin()
    local model = GetEntityModel(PlayerPedId())
    local clothing = json.encode(skinData)
    TriggerServerEvent("qb-clothing:saveSkin", model, clothing)
    TriggerEvent('op-multicharacter:charCreationComplete')
end
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-multicharacter/integrations/qb-clothing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
